> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Crea incidente

> Crea una nuova notifica di incidente per un'organizzazione.



## OpenAPI

````yaml post /api/v1/v-ciso/incidents/{organizationid}
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/v-ciso/incidents/{organizationid}:
    post:
      tags:
        - v-ciso
      summary: Create incident
      description: Create a new incident notification for an organization.
      operationId: v_ciso_incidents_create
      parameters:
        - in: path
          name: organizationid
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IncidentCreate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/IncidentCreate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/IncidentCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    description: Incident notification object.
                    properties:
                      id:
                        type: integer
                      title:
                        type: string
                      reference_code:
                        type: string
                      status:
                        type: string
                        enum:
                          - draft
                          - submitted
                          - closed
                      classification:
                        type: object
                      metadata:
                        type: object
                      acn_event:
                        type: object
                      acn_sections:
                        type: object
                      ai_blob:
                        type: object
                      phases:
                        type: object
                      organization_id:
                        type: integer
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      24h_notification:
                        type: object
                      72h_notification:
                        type: object
                      full_report:
                        type: object
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Invalid data provided
          description: ''
        '403':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  schemas:
    IncidentCreate:
      type: object
      properties:
        title:
          type: string
          description: Incident title.
        classification:
          type: object
          additionalProperties: {}
          description: Classification data.
        metadata:
          type: object
          additionalProperties: {}
          description: Additional metadata.
        status:
          allOf:
            - $ref: '#/components/schemas/StatusEnum'
          description: |-
            Incident status.

            * `draft` - draft
            * `submitted` - submitted
            * `closed` - closed
      required:
        - title
    StatusEnum:
      enum:
        - draft
        - submitted
        - closed
      type: string
      description: |-
        * `draft` - draft
        * `submitted` - submitted
        * `closed` - closed
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````